Bug 783493 - BRMS-PR-13: Ability for jBPM to interface with any WS-HT based task service
BRMS-PR-13: Ability for jBPM to interface with any WS-HT based task service
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Kris Verlaenen
Jiri Locker
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-20 10:51 EST by Jiri Locker
Modified: 2012-07-03 19:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2012-01-20 10:51:40 EST
Description of problem:
This is committed in ERD, but still the jBPM Console is hardcoded to connect to MinaTaskServer only.

Version-Release number of selected component (if applicable):
ER2
  
Actual results:
It is not possible to configure jBPM Console to connect to a custom WS-HT service. That requires two steps:
1) registering a custom WorkItemHandler for Human Task work items, that would submit the tasks to a custom HT service
2) configuring the console's TaskManagement to connect to the custom WS-HT service to expose the tasks to human interaction

Expected results:


Additional info:
Comment 3 Kris Verlaenen 2012-01-27 10:46:31 EST
I believe PR-13 is related to the ability to integrate your own human task service (should this be available) with jBPM, rather than using the one provided out-of-the-box.  The runtime engine allows this by registering a custom work item handler.

The jBPM console is also built for being able to plug in your own integration code.  This however is not something that can be configured or done without additional development of integration code.  This would require the implementation of a new ManagementFactory (like the on in the jbpm-gwt-core module, org.jbpm.integration.console.ManagementFactory) that would integrate and delegate to the right task service.  This management factory could then be registered and invoked by the jbpm-console instead.

Note You need to log in before you can comment on or make changes to this bug.